Lisp & DMPUSHPULL
Lisp how to use DMPUSHPULL command?
0
Comments
-
There is a strange problem if you call _DMPUSHPULL from a Lips function. Somehow a selection window gets started. So the code seems to generate a rogue mouse click.
[code](defun c:test ( / dist ename oldOsmode)
(if
(and
(setq ename (car (entsel))) ; Check for valid entity is required.
(setq dist (getreal "\nPush/Pull distance (negative value for push): "))
)
(progn
(setq oldOsmode (getvar 'osmode))
(setvar 'osmode 0)
(command "_.dmpushpull" ename "" dist)
(setvar 'osmode oldOsmode)
)
)
(princ)
)[/code]0 -
Hi Ray,It don't work.0
-
If the contour is attached to a 3D solid the code works. But, as mentioned, there is the issue of the rogue mouse click. I don't know how to solve that. Maybe you should file an SR regarding that problem.0
This discussion has been closed.